org.eclipse.microprofile.fault.tolerance.tck.bulkhead

## Class BulkheadFutureTest.TestFuture

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.BulkheadFutureTest.TestFuture

All Implemented Interfaces:
  Future<String>

Enclosing class:
  BulkheadFutureTest

    public static final class BulkheadFutureTest.TestFuture
    extends Object
    implements Future<String>

### Constructor Summary

Constructors
Constructor and Description
`TestFuture()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel(boolean mayInterruptIfRunning)`
`String` `get()`
`String` `get(long timeout, TimeUnit unit)`
`boolean` `isCancelled()`
`boolean` `isDone()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestFuture

    public TestFuture()

### Method Detail

#### cancel

    public boolean cancel(boolean mayInterruptIfRunning)

Specified by:
  `cancel` in interface `Future<String>`

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `Future<String>`

#### isDone

    public boolean isDone()

Specified by:
  `isDone` in interface `Future<String>`

#### get

    public String get()

Specified by:
  `get` in interface `Future<String>`

#### get

    public String get(long timeout,
                      TimeUnit unit)

Specified by:
  `get` in interface `Future<String>`